netaddr.h File Reference
`#include <proton/import_export.h>`
`#include <proton/types.h>`
Include dependency graph for netaddr.h:

Go to the source code of this file.

## Typedefs

typedef struct pn_netaddr_t | pn_netaddr_t
| Unsettled API - The network address of a proactor transport.

## Functions

PNP_EXTERN int | pn_netaddr_str (const pn_netaddr_t *addr, char *buf, size_t size)
| Format a network address as a human-readable string in `buf`. More...
const PNP_EXTERN pn_netaddr_t * | pn_transport_local_addr (pn_transport_t *t)
| Get the local address of a transport. More...
const PNP_EXTERN pn_netaddr_t * | pn_transport_remote_addr (pn_transport_t *t)
| Get the local address of a transport. More...
const PNP_EXTERN pn_netaddr_t * | pn_listener_addr (pn_listener_t *l)
| Get the listening addresses of a listener. More...
const PNP_EXTERN pn_netaddr_t * | pn_netaddr_next (const pn_netaddr_t *na)
PNP_EXTERN const struct sockaddr * | pn_netaddr_sockaddr (const pn_netaddr_t *na)
| On POSIX or Windows, get the underlying `struct sockaddr`. More...
PNP_EXTERN size_t | pn_netaddr_socklen (const pn_netaddr_t *na)
| On POSIX or Windows, get the size of the underlying `struct sockaddr`. More...
PNP_EXTERN int | pn_netaddr_host_port (const pn_netaddr_t *na, char *host, size_t hlen, char *port, size_t plen)
| Get the host and port name from na as separate strings. More...
const PNP_EXTERN pn_netaddr_t * | pn_netaddr_local (pn_transport_t *t)
const PNP_EXTERN pn_netaddr_t * | pn_netaddr_remote (pn_transport_t *t)
const PNP_EXTERN pn_netaddr_t * | pn_netaddr_listening (pn_listener_t *l)

## Detailed Description

Unsettled API - The network address of a proactor transport.